_id: nps-createSend
type: Request
parentId: fld_wrk_86b659e888254d07b12e63f9f082a7d810ac2f5e
modified: 1657120488528
created: 1656896821836
url: "{{ base_url }}/nps"
name: Send an NPS and create an NPS Answer
description: >-
  - It is validated if a user has already given an answer in the last week to an
  NPS with action "Customer Service". If the user has already responded, the NPS
  is not generated.

  - Creates the KSUID and executes the eventBridge

  **EventBridge:**

  - Validates if the customer exists in the database.

  - If the client exists, it is validated if it has a flow of type NPS for the specified event.

  - The flow detail is obtained by S3

  - If the flow exists, it is validated that the country exists, if it does not exist, it is created.

  - Validate if the supplier exists

  - If all the data exists, it obtains the whatsapp templates available for the brand.

  - Form the nps according to your whatsapp template and send the NPS using conversa proactivity.

  - It obtains the room ID and messageID of the user to register it in the NPS Answer of the client to facilitate the search.
method: POST
body:
  mimeType: application/json
  text: |-
    {
      "appUUID": "73d9e71l2b5xc8z",
      "companyUUID": "l6k7n6hl2b5xc3x",
      "action": "customerService",
      "phone": "+573214342027",
      "sender": "trigger",
      "countryCode": "CO",
      "countryName": "Colombia"
    }
parameters: []
headers:
  - name: Content-Type
    disabled: false
    value: application/json
    id: pair_098c4faf4efe477f8e4447b554edf020
authentication: {}
metaSortKey: -1656896821836
isPrivate: false
settingStoreCookies: true
settingSendCookies: true
settingDisableRenderRequestBody: false
settingEncodeUrl: true
settingRebuildPath: true
settingFollowRedirects: global
